import request from '@/utils/request'

// 查询洗眼器列表
export function listEyewasher(query) {
  return request({
    url: '/ehs/eyewasher/list',
    method: 'get',
    params: query
  })
}

// 查询洗眼器详细
export function getEyewasher(id) {
  return request({
    url: '/ehs/eyewasher/' + id,
    method: 'get'
  })
}

// 新增洗眼器
export function addEyewasher(data) {
  return request({
    url: '/ehs/eyewasher',
    method: 'post',
    data: data
  })
}

// 修改洗眼器
export function updateEyewasher(data) {
  return request({
    url: '/ehs/eyewasher',
    method: 'put',
    data: data
  })
}

// 删除洗眼器
export function delEyewasher(id) {
  return request({
    url: '/ehs/eyewasher/' + id,
    method: 'delete'
  })
}

// 导出洗眼器
export function exportEyewasher(query) {
  return request({
    url: '/ehs/eyewasher/export',
    method: 'get',
    params: query
  })
}

// 批量修改洗眼器
export function batchEdit(data) {
  return request({
    url: '/ehs/eyewasher/batchEdit',
    method: 'post',
    data: data
  })
}
